#include "alloc.h"
#include "defs.h"

namespace sys {

char *gpu_alloc(size_t size) {
    char *ptr;
    HIP_CALL(hipMalloc((void**)&ptr, size));
    HIP_CALL(hipMemset(ptr, 0, sizeof(size)));
    return ptr;
}

void gpu_free(void *ptr) {
    HIP_CALL(hipFree(ptr));
}

char *cpu_alloc(size_t size) {
    char *ptr;
    ptr = (char *)calloc(size, 1);
    return ptr;
}

void cpu_free(void *ptr) {
    free(ptr);
}

}

