#!/bin/bash

module load LUMI/23.03 partition/G PrgEnv-cray/8.3.3 cce/15.0.1 cray-mpich/8.1.25 rocm/5.2.3
mpic++ -O0 -g -c -fopenmp -I. -o lumi-g-test.mpi.o lumi-g-test.mpi.cpp
mpic++ -O0 -g -c -fopenmp -I. -o peer2peer_exchange.mpi.o peer2peer_exchange.mpi.cpp
mpic++ -O0 -g -c -fopenmp -I. -o nic_affinity.mpi.o nic_affinity.mpi.cpp
hipcc -O0 -g --offload-arch=gfx90a -c -fopenmp -I. -o stream.hip.o stream.hip.cpp
hipcc -O0 -g --offload-arch=gfx90a -c -fopenmp -I. -o device_affinity.hip.o device_affinity.hip.cpp
hipcc -O0 -g --offload-arch=gfx90a -c -fopenmp -I. -o memcopy.hip.o memcopy.hip.cpp
hipcc -O0 -g --offload-arch=gfx90a -c -fopenmp -I. -o alloc.hip.o alloc.hip.cpp
CC -O0 -g -c -fopenmp -I. -o core_affinity.o core_affinity.cpp
LIB=$(hipconfig --path)/lib
CC -O0 -g -target-accel=amd_gfx90a -fopenmp -o lumi-g-test core_affinity.o lumi-g-test.mpi.o stream.hip.o device_affinity.hip.o memcopy.hip.o nic_affinity.mpi.o peer2peer_exchange.mpi.o alloc.hip.o -L$LIB -Wl,-rpath=$LIB -lamdhip64

