#include <string>
#include <vector>
#include <iostream>
#include <iomanip>
#include "defs.h"

void device_affinity(const std::vector<int> &params) {
    int rank = params.front();
    int devid = 0, num_devices = 0;
    const char* rocr_visible_devices = getenv("ROCR_VISIBLE_DEVICES");
    if (rocr_visible_devices) {
        print(rank, std::string("ROCR_VISIBLE_DEVICES=") + std::string(rocr_visible_devices));
    }
    HIP_CALL(hipGetDeviceCount(&num_devices));
    if (num_devices == 0) {
        print(rank, "No GPU devices.");
        return;
    }
    for (int devid = 0; devid < num_devices; devid++) {
        char pcibusid[64];
        HIP_CALL(hipSetDevice(devid));
        hipDeviceGetPCIBusId(pcibusid, 64, devid);
        print(rank, std::string("devid: ") + std::to_string(devid) + std::string(" pcibusid: ") + std::string(pcibusid));
    }
}
