#!/bin/bash

set -x
if true; then
export ROCR_VISIBLE_DEVICES="$SLURM_LOCALID"
export MPICH_GPU_SUPPORT_ENABLED=1

physcores=(48-55 56-63 16-23 24-31 1-7 8-15 32-39 40-47)
threads=(8 8 8 8 7 8 8 8)

export OMP_NUM_THREADS=${threads[$SLURM_LOCALID]}
export OMP_DISPLAY_AFFINITY=true
export CRAY_OMP_CHECK_AFFINITY=TRUE
export OMP_PROC_BIND=close
export OMP_PLACES=cores

export MPICH_OFI_NIC_POLICY=GPU
export MPICH_OFI_NIC_VERBOSE=2

numactl -l --all --physcpubind=${physcores[$SLURM_LOCALID]} -- ./lumi-g-test
#numactl -l --all --physcpubind=${physcores[$SLURM_LOCALID]} -- gdb -batch -x gdb.cmd ./lumi-g-test
else
export ROCR_VISIBLE_DEVICES="$SLURM_LOCALID"
./lumi-g-test
fi
